diff --git a/game/client/src/main/java/org/useless/dragonfly/models/block/mojang/StaticBlockModelMojang.java b/game/client/src/main/java/org/useless/dragonfly/models/block/mojang/StaticBlockModelMojang.java
index 8e9cd0013..58d3241bf 100644
--- a/game/client/src/main/java/org/useless/dragonfly/models/block/mojang/StaticBlockModelMojang.java
+++ b/game/client/src/main/java/org/useless/dragonfly/models/block/mojang/StaticBlockModelMojang.java
@@ -7,7 +7,9 @@ import net.minecraft.client.render.block.color.BlockColor;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.block.model.BlockModelStandard;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
+import net.minecraft.client.render.tessellator.TessellatorTerrain;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.BlockLogic;
 import net.minecraft.core.util.helper.Color;
@@ -16,7 +18,6 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 import org.useless.dragonfly.DisplayPos;
 import org.useless.dragonfly.data.block.mojang.BlockModelMojangData;
 import org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData;
@@ -40,66 +41,48 @@ import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangDa
 import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData.C_Element.VERTEX_FLOAT_X;
 import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData.C_Element.VERTEX_FLOAT_Y;
 import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData.C_Element.VERTEX_FLOAT_Z;
-import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData.C_Element.VERTEX_TOP_LEFT;
 import static org.useless.dragonfly.data.block.mojang.CompiledBlockModelMojangData.C_Element.VERTEX_TOP_RIGHT;
 
 public class StaticBlockModelMojang implements StaticBlockModel {
     protected static final Minecraft MC = Minecraft.getMinecraft();
     protected static final LightingCache LIGHTING_CACHE = new LightingCache();
 
-    protected static final byte[] V_TOP_X = new byte[] {0, 0, -1, 0, 0, 0};
-    protected static final byte[] V_TOP_Y = new byte[] {0, 0, 0, 1, 0, 0};
-    protected static final byte[] V_TOP_Z = new byte[] {1, 1, 0, 0, 1, 1};
+    protected static final byte[] V_TOP_X = new byte[]{0, 0, -1, 0, 0, 0};
+    protected static final byte[] V_TOP_Y = new byte[]{0, 0, 0, 1, 0, 0};
+    protected static final byte[] V_TOP_Z = new byte[]{1, 1, 0, 0, 1, 1};
 
-    protected static final byte[] V_LEF_X = new byte[] {-1, 1, 0, -1, 0, 0};
-    protected static final byte[] V_LEF_Y = new byte[] {0, 0, 1, 0, 1, -1};
-    protected static final byte[] V_LEF_Z = new byte[] {0, 0, 0, 0, 0, 0};
+    protected static final byte[] V_LEF_X = new byte[]{-1, 1, 0, -1, 0, 0};
+    protected static final byte[] V_LEF_Y = new byte[]{0, 0, 1, 0, 1, -1};
+    protected static final byte[] V_LEF_Z = new byte[]{0, 0, 0, 0, 0, 0};
 
     protected final CompiledBlockModelMojangData compiled;
+
     public StaticBlockModelMojang(BlockModelMojangData data) {
         this.compiled = new CompiledBlockModelMojangData(data);
     }
 
     @Override
-    public boolean renderStandalone(@NotNull BlockModel<? extends BlockLogic> sourceModel, @NotNull Tessellator tessellator, double x, double y, double z, int metadata, @NotNull BlockColor color, float brightness, float alpha) {
+    public boolean renderStandalone(@NotNull BlockModel<? extends BlockLogic> sourceModel, @NotNull TessellatorGeneral tessellator, double x, double y, double z, int metadata, @NotNull BlockColor color) {
         if (this.compiled.elements.length == 0) return false;
 
-        GL11.glPushMatrix();
+        GLRenderer.pushFrame();
         for (int i = 0; i < this.compiled.elements.length; i++) {
             C_Element element = this.compiled.elements[i];
 
-            if (element.shade) {
-                GL11.glEnable(GL11.GL_LIGHTING);
-            } else {
-                GL11.glDisable(GL11.GL_LIGHTING);
-            }
+            GLRenderer.globalSetLightEnabled(element.shade);
 
             tessellator.startDrawingQuads();
             for (int face = 0; face < element.faces; face++) {
                 IconCoordinate coordinate = this.compiled.textures.getOrDefault(element.textures[face], BlockModelStandard.BLOCK_TEXTURE_UNASSIGNED);
 
-                // Todo fix this needing to be hardcoded to get overbright looking right
-                if (LightmapHelper.isLightmapEnabled() && element.lightEmission == 15) {
-                    brightness = 1f;
-                    LightmapHelper.setLightmapCoord(15, 15);
-                } else {
-                    brightness = Math.max(brightness, element.lightEmission/15f);
-                }
-
-                float r = 1;
-                float g = 1;
-                float b = 1;
+                GLRenderer.setLightmapCoord2i(15, 15);
                 if (element.tintIndices[face] >= 0) {
-                    int c = color.getFallbackColor(metadata, element.tintIndices[face]);
-                    r = Color.redFromInt(c) / 255f;
-                    g = Color.greenFromInt(c) / 255f;
-                    b = Color.blueFromInt(c) / 255f;
+                    tessellator.setColor1i(color.getFallbackColor(metadata, element.tintIndices[face]));
                 }
 
                 final int offset = face * 4 * FLOATS_PER_VERTEX;
                 for (int v = 0; v < 4; v++) {
                     tessellator.setNormal(element.normalData[face * FLOATS_PER_NORMAL + NORMAL_FLOAT_X], element.normalData[face * FLOATS_PER_NORMAL + NORMAL_FLOAT_Y], element.normalData[face * FLOATS_PER_NORMAL + NORMAL_FLOAT_Z]);
-                    tessellator.setColorOpaque_F(r * brightness, g * brightness, b * brightness);
                     tessellator.addVertexWithUV(
                         element.vertexData[offset + v * FLOATS_PER_VERTEX + VERTEX_FLOAT_X] - 0.5f,
                         element.vertexData[offset + v * FLOATS_PER_VERTEX + VERTEX_FLOAT_Y] - 0.5f,
@@ -110,12 +93,12 @@ public class StaticBlockModelMojang implements StaticBlockModel {
             }
             tessellator.draw();
         }
-        GL11.glPopMatrix();
+        GLRenderer.popFrame();
         return true;
     }
 
     @Override
-    public boolean renderAttached(@NotNull BlockModel<? extends BlockLogic> sourceModel, @NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z, double xOff, double yOff, double zOff, boolean cullFaces, @Nullable IconCoordinate overrideTexture) {
+    public boolean renderAttached(@NotNull BlockModel<? extends BlockLogic> sourceModel, @NotNull TessellatorTerrain tessellator, @NotNull WorldSource worldSource, int x, int y, int z, double xOff, double yOff, double zOff, boolean cullFaces, @Nullable IconCoordinate overrideTexture) {
         if (this.compiled.elements.length == 0) return false;
         boolean didRender = false;
         LIGHTING_CACHE.setupCache(sourceModel.block, worldSource, x, y, z);
@@ -128,7 +111,7 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                 final IconCoordinate coordinate = overrideTexture == null ? this.compiled.textures.getOrDefault(element.textures[face], BlockModelStandard.BLOCK_TEXTURE_UNASSIGNED) : overrideTexture;
                 final Direction direction = element.directions[face];
 
-                final float minBrightness = element.lightEmission/15f;
+                final float minBrightness = element.lightEmission / 15f;
 
                 final int topX = V_TOP_X[direction.getId()];
                 final int topY = V_TOP_Y[direction.getId()];
@@ -144,34 +127,46 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                 switch (direction) {
                     case DOWN:
                         depth = 0 + element.minY;
-                        topP = element.maxZ; botP = element.minZ;
-                        lefP = 1 - element.minX; rigP = 1 - element.maxX;
+                        topP = element.maxZ;
+                        botP = element.minZ;
+                        lefP = 1 - element.minX;
+                        rigP = 1 - element.maxX;
                         break;
                     case UP:
                         depth = 1 - element.maxY;
-                        topP = element.maxZ; botP = element.minZ;
-                        lefP = element.maxX; rigP = element.minX;
+                        topP = element.maxZ;
+                        botP = element.minZ;
+                        lefP = element.maxX;
+                        rigP = element.minX;
                         break;
                     case NORTH:
                         depth = 0 + element.minZ;
-                        topP = 1 - element.minX; botP = 1 - element.maxX;
-                        lefP = element.maxY; rigP = element.minY;
+                        topP = 1 - element.minX;
+                        botP = 1 - element.maxX;
+                        lefP = element.maxY;
+                        rigP = element.minY;
                         break;
                     case SOUTH:
                         depth = 1 - element.maxZ;
-                        topP = element.maxY; botP = element.minY;
-                        lefP = 1 - element.minX; rigP = 1 - element.maxX;
+                        topP = element.maxY;
+                        botP = element.minY;
+                        lefP = 1 - element.minX;
+                        rigP = 1 - element.maxX;
                         break;
                     case WEST:
                         depth = 0 + element.minX;
-                        topP = element.maxZ; botP = element.minZ;
-                        lefP = element.maxY; rigP = element.minY;
+                        topP = element.maxZ;
+                        botP = element.minZ;
+                        lefP = element.maxY;
+                        rigP = element.minY;
                         break;
                     case EAST:
                     default:
                         depth = 1 - element.maxX;
-                        topP = element.maxZ; botP = element.minZ;
-                        lefP = 1 - element.minY; rigP = 1 - element.maxY;
+                        topP = element.maxZ;
+                        botP = element.minZ;
+                        lefP = 1 - element.minY;
+                        rigP = 1 - element.maxY;
                         break;
                 }
 
@@ -201,61 +196,54 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                 final int lightmapCoordBottomRight;
                 final int lightmapCoordTopRight;
 
-                if(LightmapHelper.isLightmapEnabled()) {
-                    if (useAO) {
-                        final int dirX2;
-                        final int dirY2;
-                        final int dirZ2;
-                        if (!isFullCube) {
-                            dirX2 = 0;
-                            dirY2 = 0;
-                            dirZ2 = 0;
-                        } else {
-                            dirX2 = dirX;
-                            dirY2 = dirY;
-                            dirZ2 = dirZ;
-                        }
-
-                        final boolean topT = LIGHTING_CACHE.getOpacity(dirX2 + topX, dirY2 + topY, dirZ2 + topZ);
-                        final boolean botT = LIGHTING_CACHE.getOpacity(dirX2 - topX, dirY2 - topY, dirZ2 - topZ);
-                        final boolean lefT = LIGHTING_CACHE.getOpacity(dirX2 + lefX, dirY2 + lefY, dirZ2 + lefZ);
-                        final boolean rigT = LIGHTING_CACHE.getOpacity(dirX2 - lefX, dirY2 - lefY, dirZ2 - lefZ);
-
-                        final boolean topLefT = LIGHTING_CACHE.getOpacity(dirX2 + topX + lefX, dirY2 + topY + lefY, dirZ2 + topZ + lefZ);
-                        final boolean topRigT = LIGHTING_CACHE.getOpacity(dirX2 + topX - lefX, dirY2 + topY - lefY, dirZ2 + topZ - lefZ);
-                        final boolean botLefT = LIGHTING_CACHE.getOpacity(dirX2 - topX + lefX, dirY2 - topY + lefY, dirZ2 - topZ + lefZ);
-                        final boolean botRigT = LIGHTING_CACHE.getOpacity(dirX2 - topX - lefX, dirY2 - topY - lefY, dirZ2 - topZ - lefZ);
-
-                        final int lmcCen = getLightmap(dirX2, dirY2, dirZ2, element.lightEmission);
-
-                        final int lmcTop = topT ? lmcCen : getLightmap(dirX2 + topX, dirY2 + topY, dirZ2 + topZ, element.lightEmission);
-                        final int lmcBot = botT ? lmcCen : getLightmap(dirX2 - topX, dirY2 - topY, dirZ2 - topZ, element.lightEmission);
-                        final int lmcLef = lefT ? lmcCen : getLightmap(dirX2 + lefX, dirY2 + lefY, dirZ2 + lefZ, element.lightEmission);
-                        final int lmcRig = rigT ? lmcCen : getLightmap(dirX2 - lefX, dirY2 - lefY, dirZ2 - lefZ, element.lightEmission);
-
-                        final int lmcTopLef = topT && lefT ? lmcLef : (topLefT ? lmcCen : getLightmap(dirX2 + topX + lefX, dirY2 + topY + lefY, dirZ2 + topZ + lefZ, element.lightEmission));
-                        final int lmcBotLef = botT && lefT ? lmcLef : (botLefT ? lmcCen : getLightmap(dirX2 - topX + lefX, dirY2 - topY + lefY, dirZ2 - topZ + lefZ, element.lightEmission));
-                        final int lmcTopRig = topT && rigT ? lmcRig : (topRigT ? lmcCen : getLightmap(dirX2 + topX - lefX, dirY2 + topY - lefY, dirZ2 + topZ - lefZ, element.lightEmission));
-                        final int lmcBotRig = botT && rigT ? lmcRig : (botRigT ? lmcCen : getLightmap(dirX2 - topX - lefX, dirY2 - topY - lefY, dirZ2 - topZ - lefZ, element.lightEmission));
-
-                        lightmapCoordTopLeft = LightmapHelper.avg(lmcCen, lmcLef, lmcTop, lmcTopLef);
-                        lightmapCoordTopRight = LightmapHelper.avg(lmcCen, lmcRig, lmcTop, lmcTopRig);
-                        lightmapCoordBottomLeft = LightmapHelper.avg(lmcCen, lmcLef, lmcBot, lmcBotLef);
-                        lightmapCoordBottomRight = LightmapHelper.avg(lmcCen, lmcRig, lmcBot, lmcBotRig);
+                if (useAO) {
+                    final int dirX2;
+                    final int dirY2;
+                    final int dirZ2;
+                    if (!isFullCube) {
+                        dirX2 = 0;
+                        dirY2 = 0;
+                        dirZ2 = 0;
                     } else {
-                        final int lmc;
-                        if (!isFullCube) {
-                            lmc = getLightmap(0, 0, 0, element.lightEmission);
-                        } else {
-                            lmc = getLightmap(dirX, dirY,  dirZ, element.lightEmission);
-                        }
-                        lightmapCoordTopLeft = lightmapCoordBottomLeft = lightmapCoordBottomRight = lightmapCoordTopRight = lmc;
+                        dirX2 = dirX;
+                        dirY2 = dirY;
+                        dirZ2 = dirZ;
                     }
+
+                    final boolean topT = LIGHTING_CACHE.getOpacity(dirX2 + topX, dirY2 + topY, dirZ2 + topZ);
+                    final boolean botT = LIGHTING_CACHE.getOpacity(dirX2 - topX, dirY2 - topY, dirZ2 - topZ);
+                    final boolean lefT = LIGHTING_CACHE.getOpacity(dirX2 + lefX, dirY2 + lefY, dirZ2 + lefZ);
+                    final boolean rigT = LIGHTING_CACHE.getOpacity(dirX2 - lefX, dirY2 - lefY, dirZ2 - lefZ);
+
+                    final boolean topLefT = LIGHTING_CACHE.getOpacity(dirX2 + topX + lefX, dirY2 + topY + lefY, dirZ2 + topZ + lefZ);
+                    final boolean topRigT = LIGHTING_CACHE.getOpacity(dirX2 + topX - lefX, dirY2 + topY - lefY, dirZ2 + topZ - lefZ);
+                    final boolean botLefT = LIGHTING_CACHE.getOpacity(dirX2 - topX + lefX, dirY2 - topY + lefY, dirZ2 - topZ + lefZ);
+                    final boolean botRigT = LIGHTING_CACHE.getOpacity(dirX2 - topX - lefX, dirY2 - topY - lefY, dirZ2 - topZ - lefZ);
+
+                    final int lmcCen = getLightmap(dirX2, dirY2, dirZ2, element.lightEmission);
+
+                    final int lmcTop = topT ? lmcCen : getLightmap(dirX2 + topX, dirY2 + topY, dirZ2 + topZ, element.lightEmission);
+                    final int lmcBot = botT ? lmcCen : getLightmap(dirX2 - topX, dirY2 - topY, dirZ2 - topZ, element.lightEmission);
+                    final int lmcLef = lefT ? lmcCen : getLightmap(dirX2 + lefX, dirY2 + lefY, dirZ2 + lefZ, element.lightEmission);
+                    final int lmcRig = rigT ? lmcCen : getLightmap(dirX2 - lefX, dirY2 - lefY, dirZ2 - lefZ, element.lightEmission);
+
+                    final int lmcTopLef = topT && lefT ? lmcLef : (topLefT ? lmcCen : getLightmap(dirX2 + topX + lefX, dirY2 + topY + lefY, dirZ2 + topZ + lefZ, element.lightEmission));
+                    final int lmcBotLef = botT && lefT ? lmcLef : (botLefT ? lmcCen : getLightmap(dirX2 - topX + lefX, dirY2 - topY + lefY, dirZ2 - topZ + lefZ, element.lightEmission));
+                    final int lmcTopRig = topT && rigT ? lmcRig : (topRigT ? lmcCen : getLightmap(dirX2 + topX - lefX, dirY2 + topY - lefY, dirZ2 + topZ - lefZ, element.lightEmission));
+                    final int lmcBotRig = botT && rigT ? lmcRig : (botRigT ? lmcCen : getLightmap(dirX2 - topX - lefX, dirY2 - topY - lefY, dirZ2 - topZ - lefZ, element.lightEmission));
+
+                    lightmapCoordTopLeft = LightmapHelper.avg(lmcCen, lmcLef, lmcTop, lmcTopLef);
+                    lightmapCoordTopRight = LightmapHelper.avg(lmcCen, lmcRig, lmcTop, lmcTopRig);
+                    lightmapCoordBottomLeft = LightmapHelper.avg(lmcCen, lmcLef, lmcBot, lmcBotLef);
+                    lightmapCoordBottomRight = LightmapHelper.avg(lmcCen, lmcRig, lmcBot, lmcBotRig);
                 } else {
-                    lightmapCoordTopLeft = 0;
-                    lightmapCoordBottomLeft = 0;
-                    lightmapCoordBottomRight = 0;
-                    lightmapCoordTopRight = 0;
+                    final int lmc;
+                    if (!isFullCube) {
+                        lmc = getLightmap(0, 0, 0, element.lightEmission);
+                    } else {
+                        lmc = getLightmap(dirX, dirY, dirZ, element.lightEmission);
+                    }
+                    lightmapCoordTopLeft = lightmapCoordBottomLeft = lightmapCoordBottomRight = lightmapCoordTopRight = lmc;
                 }
 
                 float lightTR;
@@ -361,8 +349,8 @@ public class StaticBlockModelMojang implements StaticBlockModel {
 
                 final int offset = face * 4 * FLOATS_PER_VERTEX;
 
-                tessellator.setColorOpaque_F(colorRedTopLeft, colorGreenTopLeft, colorBlueTopLeft);
-                if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopLeft);
+                tessellator.setColorOpaque3f(colorRedTopLeft, colorGreenTopLeft, colorBlueTopLeft);
+                tessellator.setLightmapCoord1i(lightmapCoordTopLeft);
                 tessellator.addVertexWithUV(
                     element.vertexData[offset + VERTEX_FLOAT_X] + x + xOff,
                     element.vertexData[offset + VERTEX_FLOAT_Y] + y + yOff,
@@ -370,8 +358,8 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                     coordinate.getSubIconU(element.vertexData[offset + VERTEX_FLOAT_U]),
                     coordinate.getSubIconV(element.vertexData[offset + VERTEX_FLOAT_V]));
 
-                tessellator.setColorOpaque_F(colorRedBottomLeft, colorGreenBottomLeft, colorBlueBottomLeft);
-                if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomLeft);
+                tessellator.setColorOpaque3f(colorRedBottomLeft, colorGreenBottomLeft, colorBlueBottomLeft);
+                tessellator.setLightmapCoord1i(lightmapCoordBottomLeft);
                 tessellator.addVertexWithUV(
                     element.vertexData[offset + VERTEX_BOTTOM_LEFT * FLOATS_PER_VERTEX + VERTEX_FLOAT_X] + x + xOff,
                     element.vertexData[offset + VERTEX_BOTTOM_LEFT * FLOATS_PER_VERTEX + VERTEX_FLOAT_Y] + y + yOff,
@@ -379,8 +367,8 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                     coordinate.getSubIconU(element.vertexData[offset + VERTEX_BOTTOM_LEFT * FLOATS_PER_VERTEX + VERTEX_FLOAT_U]),
                     coordinate.getSubIconV(element.vertexData[offset + VERTEX_BOTTOM_LEFT * FLOATS_PER_VERTEX + VERTEX_FLOAT_V]));
 
-                tessellator.setColorOpaque_F(colorRedBottomRight, colorGreenBottomRight, colorBlueBottomRight);
-                if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomRight);
+                tessellator.setColorOpaque3f(colorRedBottomRight, colorGreenBottomRight, colorBlueBottomRight);
+                tessellator.setLightmapCoord1i(lightmapCoordBottomRight);
                 tessellator.addVertexWithUV(
                     element.vertexData[offset + VERTEX_BOTTOM_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_X] + x + xOff,
                     element.vertexData[offset + VERTEX_BOTTOM_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_Y] + y + yOff,
@@ -388,8 +376,8 @@ public class StaticBlockModelMojang implements StaticBlockModel {
                     coordinate.getSubIconU(element.vertexData[offset + VERTEX_BOTTOM_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_U]),
                     coordinate.getSubIconV(element.vertexData[offset + VERTEX_BOTTOM_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_V]));
 
-                tessellator.setColorOpaque_F(colorRedTopRight, colorGreenTopRight, colorBlueTopRight);
-                if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopRight);
+                tessellator.setColorOpaque3f(colorRedTopRight, colorGreenTopRight, colorBlueTopRight);
+                tessellator.setLightmapCoord1i(lightmapCoordTopRight);
                 tessellator.addVertexWithUV(
                     element.vertexData[offset + VERTEX_TOP_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_X] + x + xOff,
                     element.vertexData[offset + VERTEX_TOP_RIGHT * FLOATS_PER_VERTEX + VERTEX_FLOAT_Y] + y + yOff,
diff --git a/game/client/src/main/java/org/useless/dragonfly/models/entity/StaticEntityModel.java b/game/client/src/main/java/org/useless/dragonfly/models/entity/StaticEntityModel.java
index 4587b933d..a57695dc8 100644
--- a/game/client/src/main/java/org/useless/dragonfly/models/entity/StaticEntityModel.java
+++ b/game/client/src/main/java/org/useless/dragonfly/models/entity/StaticEntityModel.java
@@ -1,6 +1,5 @@
 package org.useless.dragonfly.models.entity;
 
-import net.minecraft.client.render.tessellator.Tessellator;
 import org.jetbrains.annotations.NotNull;
 import org.joml.primitives.AABBdc;
 
@@ -9,5 +8,5 @@ public interface StaticEntityModel {
     @NotNull BoneTransform getTransform(@NotNull String boneId);
     @NotNull AABBdc visibleBounds();
     void translateToBone(@NotNull String boneId);
-    void render(@NotNull Tessellator tessellator);
+    void render();
 }
